#### D.12.7.4 boundBuFou

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  boundBuFou(p,a,b); p poly, a,b number

Return:
  int: an upper bound for the number of real roots of p in (a,b], with the same parity as the actual number of roots (using the Budan-Fourier Theorem)

Assume:
  - p is a univariate polynomial with rational coefficients
  - a, b are rational numbers with a < b

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    poly p = (x+2)*(x-1)*(x-5);
    boundBuFou(p,-3,5);
    ==> 3
    boundBuFou(p,-2,5);
    ==> 2

See also: boundposDes; varsigns.

User manual for Singular version 4.4.1, 2025, generated by texi2html.